class Verse::Core::Entity < Verse::Resource
  attributes :name, :slug

  has_many :admins, class_name: 'Verse::Auth::User'
  has_many :owners, class_name: 'Verse::Core::Entity'
  has_many :members, class_name: 'Verse::Core::Person'

  def form_attributes
    [:name, :slug, admins: [:admin_id]]
  end
end
