module Verse
  class Resource
    include Her::Model

    include_root_in_json true

    def specific
      type = attributes[:type]
      if type
        "Verse::#{type}".constantize.new(attributes)
      end
    end

    # Demodulizes model_name e.g. for use in route helpers.
    def self.model_name
      ActiveModel::Name.new(self, nil, name.split('::').last)
    end
  end
end
